## libnss-gw-name 0.2

=== Makefile ===
# Makefile for libnss-gw-name

CC = gcc
prefix = /usr
exec_prefix = ${prefix}
BITSOFS=
libprefix = ${exec_prefix}/lib$(BITSOFS)
DESTDIR=
OBJSUFFIX=$(BITSOFS).o
OBJECTS=libnss_gw_name$(OBJSUFFIX) 
SHARED_OBJECT = libnss_gw_name$(BITSOFS).so.2
INSTALL_NAME = libnss_gw_name.so.2
# This only works sometimes, give manually when needed:
BIT_CFLAGS = $(if $(BITSOFS),-m$(BITSOFS))
CFLAGS = $(BIT_CFLAGS) -g -O2 -Wall -Wpointer-arith
CPPFLAGS =
LIBS = `pkg-config --libs libnl-1`
LDFLAGS = -shared -Wl,-soname,$(INSTALL_NAME) -Wl,-z,defs --no-allow-shlib-undefined

all: $(SHARED_OBJECT)

$(SHARED_OBJECT): $(OBJECTS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SHARED_OBJECT) $(OBJECTS) $(LIBS)

%$(OBJSUFFIX): %.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -c -o $@ $<

install:
	install -m755 -d $(DESTDIR)$(libprefix)/
	install -m644 $(SHARED_OBJECT) $(DESTDIR)$(libprefix)/$(INSTALL_NAME)

clean:
	rm -f $(OBJECTS)
	rm -f $(SHARED_OBJECT)

distclean: clean

.PHONY: all

=== debian/changelog ===
libnss-gw-name (0.2-1) unstable; urgency=low

  * Actually release the previous change as a new upstream version.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Mar 2010 12:05:12 +0100

libnss-gw-name (0.1-2) unstable; urgency=low

  * Resolve “gateway.localhost” instead of “gateway.current” (Closes: #574561)

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Mar 2010 11:00:46 +0100

libnss-gw-name (0.1-1) unstable; urgency=low

  * Initial release (Closes: #573605)

 -- Joachim Breitner <nomeata@debian.org>  Fri, 12 Mar 2010 22:05:33 +0100

=== debian/control ===
Source: libnss-gw-name
Section: admin
Priority: extra
Maintainer: Joachim Breitner <nomeata@debian.org>
Build-Depends:
  debhelper (>= 7),
  pkg-config,
  libnl-dev,
# Disable multilib until libnl supports it
# gcc-multilib [sparc i386 kfreebsd-amd64 amd64 mips mipsel powerpc s390]
Standards-Version: 3.8.4
Homepage: http://www.joachim-breitner.de/projecs#libss-gw-name
VCS-Git: git://git.nomeata.de/libnss-gw-name.git
VCS-Browser: http://git.nomeata.de/?p=libnss-gw-name.git


Package: libnss-gw-name
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${alternatelibs:Suggests}
Description: nss module that names the current gateway’s IP address
 This Name Service Switch (NSS) module resolves the name “gateway.localhost” to
 the IP of the current default gateways of the system. This allows easy access
 to router configuration and to check if connectivity problems are local or
 not.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

CFLAGS = -Wall -g -Wextra -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith 
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
        MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
ALSODO =
# life would be to simple if there was something to work everywhere....
ABIFLAG_32=-m32
ABIFLAG_64=-m64

# Disable until we have multilib support in libnl
ifeq (dis,abled)
# do not forget to update Build-depends when changing something here:
ifeq ($(DEB_HOST_ARCH),sparc)
ALSODO = 64
else ifeq ($(DEB_HOST_ARCH),i386)
ALSODO = 64
else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
ALSODO = 32
else ifeq ($(DEB_HOST_ARCH),amd64)
ALSODO = 32
else ifeq ($(DEB_HOST_ARCH),mips)
ABIFLAG_32=-mabi=n32
ABIFLAG_64=-mabi=64
ALSODO = 64 32
else ifeq ($(DEB_HOST_ARCH),mipsel)
ABIFLAG_32=-mabi=n32
ABIFLAG_64=-mabi=64
ALSODO = 64 32
else ifeq ($(DEB_HOST_ARCH),powerpc)
ALSODO = 64
else ifeq ($(DEB_HOST_ARCH),s390)
ALSODO = 64
endif
endif

build-arch: build-arch-stamp $(foreach bits,$(ALSODO),build-arch-$(bits)-stamp)
build-indep:
build: build-arch-stamp

build-arch-%-stamp:
	$(MAKE) BITSOFS=$* CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(ABIFLAG_$*) $(CFLAGS)"
	touch $@

build-arch-stamp:
	dh_testdir
	$(MAKE) CC="$(DEB_HOST_GNU_TYPE)-gcc" CFLAGS="$(CFLAGS)"
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch*-stamp
	$(MAKE) clean
	rm -f *.o *.so *.so.*
	dh_clean

# Build architecture-independent files here.
binary-indep: build-indep
# We have nothing to do

LIBNAME = libnss_gw_name.so.2

# Build architecture-dependent files here.
binary-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/libnss-gw-name
	for also in $(ALSODO) ; do \
		$(MAKE) BITSOFS=$${also} install DESTDIR=$(CURDIR)/debian/libnss-gw-name ; \
	done
	dh_lintian
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	[ "$(ALSODO)" = "" ] || \
	  dpkg-shlibdeps -Tdebian/libnss-gw-name.substvars \
	    -palternatelibs -dSuggests \
	    $(foreach bits,$(ALSODO), debian/libnss-gw-name/usr/lib$(bits)/$(LIBNAME))
	dh_shlibdeps $(foreach bits,$(ALSODO), -X/usr/lib$(bits)/$(LIBNAME))
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

## libnss-gw-name 0.2.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 CFLAGS = $(BIT_CFLAGS) -g -O2 -Wall -Wpointer-arith
 CPPFLAGS =
 LIBS = `pkg-config --libs libnl-1`
-LDFLAGS = -shared -Wl,-soname,$(INSTALL_NAME) -Wl,-z,defs --no-allow-shlib-undefined
+LDFLAGS = -shared -Wl,-soname,$(INSTALL_NAME) -Wl,-z,defs
 
 all: $(SHARED_OBJECT)

=== debian/changelog ===
libnss-gw-name (0.2.1-1) unstable; urgency=low

  * Fix typo in Homepage, thx to Tomas Pospisek for noticing (Closes: #574893)
  * Build with Multi-Arch support 

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Jun 2011 12:28:12 +0200

=== debian/control ===
Source: libnss-gw-name
Section: admin
Priority: extra
Maintainer: Joachim Breitner <nomeata@debian.org>
Build-Depends:
  debhelper (>= 8.1.3),
  pkg-config,
  libnl-dev,
Standards-Version: 3.8.4
Homepage: http://www.joachim-breitner.de/projects#libnss-gw-name
VCS-Git: git://git.nomeata.de/libnss-gw-name.git
VCS-Browser: http://git.nomeata.de/?p=libnss-gw-name.git


Package: libnss-gw-name
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: nss module that names the current gateway’s IP address
 This Name Service Switch (NSS) module resolves the name “gateway.localhost” to
 the IP of the current default gateways of the system. This allows easy access
 to router configuration and to check if connectivity problems are local or
 not.

## libnss-gw-name 0.3

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,14 @@
 # This only works sometimes, give manually when needed:
 BIT_CFLAGS = $(if $(BITSOFS),-m$(BITSOFS))
 CFLAGS = $(BIT_CFLAGS) -g -O2 -Wall -Wpointer-arith
-CPPFLAGS =
-LIBS = `pkg-config --libs libnl-1`
+CPPFLAGS = $(shell pkg-config --cflags libnl-3.0 libnl-route-3.0)
+LIBS = $(shell pkg-config --libs libnl-3.0 libnl-route-3.0)
 LDFLAGS = -shared -Wl,-soname,$(INSTALL_NAME) -Wl,-z,defs
 
 all: $(SHARED_OBJECT)
 
 $(SHARED_OBJECT): $(OBJECTS)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SHARED_OBJECT) $(OBJECTS) $(LIBS)
+	$(CC) $(CFLAGS) $(INCLUDES) $(LDFLAGS) -o $(SHARED_OBJECT) $(OBJECTS) $(LIBS)
 
 %$(OBJSUFFIX): %.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) -fPIC -c -o $@ $<

=== debian/changelog ===
libnss-gw-name (0.3-6) unstable; urgency=medium

  * QA upload

  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * List dh-nss as preferred build dependency for virtual package
    dh-sequence-installnss.
  * Replaced obsolete pkg-config build depend with pkgconf.
  * Enabled build hardening in d/rules.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 15 Apr 2024 18:49:43 +0200

libnss-gw-name (0.3-5) unstable; urgency=medium

  * QA upload
  * d/patches: Cherry-pick PR#1 from upstream
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * d/control: Point Vcs-* to salsa.d.o
  * d/nss: Install NSS service via dh_installnss (Closes: #1011515)

 -- Gioele Barabucci <gioele@svario.it>  Wed, 23 Nov 2022 07:50:02 +0100

libnss-gw-name (0.3-4) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * Update to debhelper-compat 13 and switch to "dh". (Closes: #1010859)
  * postinst/postrm: Remove call to ldconfig, now handled with
    dpkg-triggers.
  * debian/control: Set Priority to "optional".
  * debian/control: Comment out obsolete Vcs-* headers. (Closes: #1009910)
  * debian/control: Set Rules-Requires-Root to "no".
  * Remove obsolete lintian override.

  [ Helmut Grohne ]
  * Make pkg-config substitutable. Fixes FTCBFS. (Closes: #990888)

  [ Vagrant Cascadian ]
  * debian/control: Update Standards-Version to 4.6.0.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 11 May 2022 11:06:19 -0700

libnss-gw-name (0.3-3) unstable; urgency=medium

  * Orphaning this package

 -- Joachim Breitner <nomeata@debian.org>  Sun, 03 Apr 2022 12:20:23 +0200

libnss-gw-name (0.3-2) unstable; urgency=low

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 03 Jun 2013 14:34:24 +0200

libnss-gw-name (0.3-1) experimental; urgency=low

  * Port to libnl-3.x (Closes: #688166)
  * Bump Standards-Version

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Sep 2012 13:21:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: libnss-gw-name
 Section: admin
-Priority: extra
-Maintainer: Joachim Breitner <nomeata@debian.org>
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
-  debhelper (>= 8.1.3),
-  pkg-config,
-  libnl-dev,
-Standards-Version: 3.8.4
+  debhelper-compat (= 13),
+  dh-nss | dh-sequence-installnss,
+  pkgconf,
+  libnl-3-dev,
+  libnl-route-3-dev,
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://www.joachim-breitner.de/projects#libnss-gw-name
-VCS-Git: git://git.nomeata.de/libnss-gw-name.git
-VCS-Browser: http://git.nomeata.de/?p=libnss-gw-name.git
-
+Vcs-Browser: https://salsa.debian.org/debian/libnss-gw-name
+Vcs-Git: https://salsa.debian.org/debian/libnss-gw-name.git
 
 Package: libnss-gw-name
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

# enable build hardeining
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- libprefix=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_clean:
	dh_auto_clean
	rm -f *.o *.so *.so.*
